Get Company Ownership Data
curl --request GET \
--url https://api.aries.com/v1/ownership/data \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aries.com/v1/ownership/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/ownership/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"change": 14962890,
"filingDate": "2025-06-30",
"name": "The Vanguard Group, Inc.",
"percentOfShares": 0,
"share": 1409216610,
"source": ""
}
]
}Ownership
Company Ownership Data
Retrieve detailed ownership structure showing percentage stakes held by institutional investors, insiders, and retail shareholders. Track major shareholder positions and ownership changes.
Use Case: Identify major institutional holders of Tesla to understand smart money positioning.
GET
/
v1
/
ownership
/
data
Get Company Ownership Data
Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
FlowAuthorization Code
- Authorization URL
- https://app.aries.com/oauth2/authorize
- Token URL
- https://api.aries.com/v1/oauth2/token
- Refresh URL
- https://api.aries.com/v1/oauth2/token
FlowClient Credentials
- Token URL
- https://api.aries.com/v1/oauth2/token
- Refresh URL
- https://api.aries.com/v1/oauth2/token
Scopes1
market:supplemental
News, company profiles, financials, filings, ETF data, technical analysis
Query Parameters
Stock symbol, such as AAPL. Use it to narrow results to one company.
Optional maximum number of results to return. Use it to keep ownership lists small for UI views.
Response
Ownership data.
List of institutional ownership records
Show child attributes
Show child attributes
Was this page helpful?